"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRSAKeyPromise = exports.scrypt = void 0;
const react_native_scrypt_1 = __importDefault(require("react-native-scrypt"));
const react_native_rsa_native_1 = require("react-native-rsa-native");
const scrypt = (buff, salt) => (0, react_native_scrypt_1.default)(buff, salt, 16384, 8, 1, 64, 'buffer');
exports.scrypt = scrypt;
const getRSAKeyPromise = async (size = 4096) => {
    const keys = await react_native_rsa_native_1.RSA.generateKeys(size);
    return keys.private
        .replace(/\n/g, '')
        .replace(/\r/g, '') // iOS
        .replace(/-----.*?-----/g, '');
};
exports.getRSAKeyPromise = getRSAKeyPromise;
//# sourceMappingURL=utils.js.map